"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const version_1 = require("../lib/version");
const inputArguments = { versionFilePath: 'assets/version.json' };
const parseArguments = () => {
    if (process.argv.length > 2) {
        inputArguments.versionFilePath = process.argv[2];
        inputArguments.branchName = process.argv[3];
    }
    console.dir(inputArguments);
};
const work = async () => {
    try {
        parseArguments();
        const content = await version_1.prepareVersionJson(inputArguments.branchName);
        fs_1.writeFileSync(inputArguments.versionFilePath, content, 'utf-8');
        console.log(`Version data was written to "${inputArguments.versionFilePath}" successfully: "${content}"`);
    }
    catch (error) {
        console.error(error.message);
    }
};
work();
//# sourceMappingURL=version.js.map