"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareVersionJson = void 0;
const childProcessExec = require('child_process').exec;
const util = require('util');
const exec = util.promisify(childProcessExec);
function getFormatedCurrentDateTime() {
    // current date
    let date = new Date();
    // adjust 0 before single digit date
    let day = ('0' + date.getDate()).slice(-2);
    // current month
    let month = ('0' + (date.getMonth() + 1)).slice(-2);
    // current year
    let year = date.getFullYear();
    // current hours
    let hours = date.getHours();
    // current minutes
    let minutes = date.getMinutes();
    // current seconds
    let seconds = date.getSeconds();
    return `${year}-${month}-${day} ${hours}:${minutes}:${seconds}`;
}
async function getBranchName(rev) {
    let gitCommand = `git branch --contains ${rev}`;
    const rez = await exec(gitCommand);
    let info = rez.stdout.split('\n')[0];
    return info;
}
async function getCommitHash() {
    let gitCommand = 'git rev-parse HEAD';
    const rez = await exec(gitCommand);
    let info = rez.stdout.split('\n')[0];
    return info;
}
async function prepareVersionJson(branchOverride) {
    const hash = await getCommitHash();
    const branch = branchOverride === undefined ? await getBranchName(hash) : branchOverride;
    return JSON.stringify({ branch, hash, date_time: getFormatedCurrentDateTime() }, null, 4);
}
exports.prepareVersionJson = prepareVersionJson;
//# sourceMappingURL=version.js.map